Bug 950492 - Change requires to python-django14
Summary: Change requires to python-django14
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-authopenid
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 950469
TreeView+ depends on / blocked
 
Reported: 2013-04-10 10:52 UTC by Matthias Runge
Modified: 2014-04-08 20:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-05 09:17:13 UTC


Attachments (Terms of Use)

Description Matthias Runge 2013-04-10 10:52:27 UTC
Rawhide contains and f19 will get Django-1.5 instead of Django-1.4.x soon.

If you're not sure, if your package is compatible with Django-1.5, please change
Requires: python-django
to 
Requires: python-django14
and rebuild.

If I don't hear anything against it, I can do the rebuild in the week after Apr 22nd.

Comment 1 Ankur Sinha (FranciscoD) 2013-05-19 10:04:04 UTC
Mailed upstream. Waiting for a reply. Will update accordingly.

Comment 2 Ankur Sinha (FranciscoD) 2013-06-15 14:03:13 UTC
Not received an update yet. Should I change the requires Matthias?

Comment 3 Matthias Runge 2013-06-17 07:34:02 UTC
Well, to be absolutely sure: yes, please change the requires. Or you'll wait and see, if someone files a bug.

Comment 4 Ankur Sinha (FranciscoD) 2013-10-11 07:12:29 UTC
Asked question on upstream tracker. Should get a reply this time.

https://bitbucket.org/benoitc/django-authopenid/issue/61/compatibility-with-django-15

Comment 5 Ankur Sinha (FranciscoD) 2014-04-05 09:17:13 UTC
The pypi version 1.0.1 isn't compatible with django 1.5. Updated requires for rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6709755

Comment 6 Matthias Runge 2014-04-08 11:53:23 UTC
In between, rawhide went to Django-1.6, and the python-django version 1.6 is sitting uin updates-testing for f20.

Comment 7 Ankur Sinha (FranciscoD) 2014-04-08 20:56:10 UTC
Aye. But this version of the software isn't compatible with django > 1.4 yet. The dev version is, but upstream hasn't made a new release yet.


Note You need to log in before you can comment on or make changes to this bug.